Subject: Re: bug#15987: 24.3; diary-add-to-list ignored by diary-mark-entries

From: "Roland Winkler" <[email-masked]>
Date: Sat, 30 Nov 2013 19:25:11 -0600

On Sat Nov 30 2013 Glenn Morris wrote:
> Not sure I agree. It may happen to do something, but this function is
> intended to be used to add entries from a literal diary file.
> These days, it might be called "diary--add-to-list".
> diary-entries-list is dynamically bound during certain diary operations,
> it is not a generally accessible variable.

BBDB's context is that bbdb-anniv-diary-entries is added to
diary-list-entries-hook (which is run when diary-entries-list is
properly bound).  The function bbdb-anniv-diary-entries then calls
diary-add-to-list.  This approach has been used by BBDB for 15
years and I believe that quite a few people have liked this.

No matter whether you consider this approach clean or not, I think
it is reasonable to have *some* mechanism for adding diary entries
from other sources than just diary files.

> It's intended to mark entries from a diary-file, not arbitrary sources.
> So I view this as a wishlist item to have non-diary sources treated as
> diary entries. I don't think this is going to be a high priority for me
> to implement, because it doesn't make much sense to me. Eg what will
> happen when you press "d" on such a marked date in the calendar?

Well, it would be nice to have some mechanism to let the external
source of diary entries define what should happen.  I mean, in the
case of BBDB this is obvious: when pressing "d" this should then
jump to the respective BBDB record.

> This "Searches the file named in `diary-file' for entries that match
> [the date]". There will be no file to search.
> 
> Instead you could simply have a function that exports bbdb data to a
> diary file, and include it from the main diary file. Then everything
> would just work, right now.

I don't know whether it makes much sense to jump to an entry in such
an auto-generated file.  I'd be rather confused.